
Katello - Bug #7358

Content Dashboard UI not displaying any data

09/04/2014 02:10 PM - Christine Fouant

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1138411 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/464
Description

Navigating to Monitor -> Content Dashboard yields the header only, the page content is blank.

Associated revisions

Revision 797f2591 - 09/08/2014 03:55 PM - Walden Raines

Fixes #7358/BZ1138411: correct empty org message logic on dashboard.

The dashboard was not displaying in the case of not having a default

org selected if you were admin.  This is because we wanted to prevent

showing the error message to admins in #4611 and because of spacing

being important in haml we ended up not showing anything at all. This

commit fixes the dashboard display in the case of an admin without any

default organizations.

http://projects.theforeman.org/issues/7358

https://bugzilla.redhat.com/show_bug.cgi?id=1138411

Revision 942d31be - 09/09/2014 11:15 AM - Walden Raines

Merge pull request #4644 from waldenraines/7358

Fixes #7358/BZ1138411: correct empty org message logic on dashboard.

History

#1 - 09/04/2014 02:11 PM - Christine Fouant

- Bugzilla link set to 1138411

#2 - 09/05/2014 08:53 AM - Eric Helms

- Target version set to 55

- translation missing: en.field_release set to 13

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 09/08/2014 08:15 AM - Eric Helms

- Target version changed from 55 to 56

#4 - 09/08/2014 02:26 PM - Walden Raines

- Status changed from New to Assigned

- Assignee set to Walden Raines

#5 - 09/08/2014 04:03 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/4644 added

- Pull request deleted ()

#6 - 09/09/2014 12:01 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|797f25916743cf6541d758a09f3f701eb00c5a89.
